## org.eclipse.xsd.impl
Class XSDParticleImpl.XSDNFA.StateImpl

    java.lang.Object
      org.eclipse.xsd.impl.XSDParticleImpl.XSDNFA.StateImpl

All Implemented Interfaces:
  XSDParticle.DFA.State

Enclosing class:
  XSDParticleImpl.XSDNFA

    public static class XSDParticleImpl.XSDNFA.StateImpl

extends java.lang.Object
implements XSDParticle.DFA.State

Field Summary
`protected XSDParticleImpl.XSDNFA.TransitionImpl` `createdTransition`
`protected boolean` `isAccepting`
`protected UniqueEList<XSDParticle.DFA.Transition>` `transitions`

Constructor Summary
`XSDParticleImpl.XSDNFA.StateImpl()`

Method Summary
`XSDParticle.DFA.Transition` `accept(java.lang.String namespaceURI, java.lang.String localName)` Return the transition applicable for the given input.
`XSDParticle.DFA.Transition` `createTransition(XSDParticle xsdParticle, XSDParticle.DFA.State state)`
`java.util.List<XSDParticle.DFA.Transition>` `getTransitions()` Returns the list of transitions that leave this state.
`boolean` `isAccepting()` Returns whether this state is an accepting state.
`void` `setAccepting(boolean isAccepting)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transitions

    protected UniqueEList<XSDParticle.DFA.Transition> transitions

### isAccepting

    protected boolean isAccepting

### createdTransition

    protected XSDParticleImpl.XSDNFA.TransitionImpl createdTransition

Constructor Detail

### XSDParticleImpl.XSDNFA.StateImpl

    public XSDParticleImpl.XSDNFA.StateImpl()

Method Detail

### getTransitions

    public java.util.List<XSDParticle.DFA.Transition> getTransitions()

  Description copied from interface: `XSDParticle.DFA.State`
  Returns the list of transitions that leave this state.

  Specified by:
    `getTransitions` in interface `XSDParticle.DFA.State`
  Returns:
    the list of transitions that leave this state.

### isAccepting

    public boolean isAccepting()

  Description copied from interface: `XSDParticle.DFA.State`
  Returns whether this state is an accepting state.

  Specified by:
    `isAccepting` in interface `XSDParticle.DFA.State`
  Returns:
    whether this state is an accepting state.

### setAccepting

    public void setAccepting(boolean isAccepting)

### createTransition

    public XSDParticle.DFA.Transition createTransition(XSDParticle xsdParticle,
                                                       XSDParticle.DFA.State state)

### accept

    public XSDParticle.DFA.Transition accept(java.lang.String namespaceURI,
                                             java.lang.String localName)

  Description copied from interface: `XSDParticle.DFA.State`
  Return the transition applicable for the given input. An unrecognized input will yield `null`.

  Specified by:
    `accept` in interface `XSDParticle.DFA.State`
  Returns:
    the transition applicable for the given input

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.